Milter.sgmllib Namespace Reference

## Classes

class | SGMLParseError
class | SGMLParser
class | TestSGMLParser

## Functions

| test (args=None)

## Variables

list | __all__ = ["SGMLParser", "SGMLParseError"]
| interesting = re.compile('[&<]')
| incomplete
| entityref = re.compile('&([a-zA-Z][-.a-zA-Z0-9]*)[^a-zA-Z0-9]')
| charref = re.compile('&#([0-9]+)[^0-9]')
| starttagopen = re.compile('<[>a-zA-Z]')
| shorttagopen = re.compile('<[a-zA-Z][-.a-zA-Z0-9]*/')
| shorttag = re.compile('<([a-zA-Z][-.a-zA-Z0-9]*)/([^/]*)/')
| piclose = re.compile('>')
| endbracket = re.compile('[<>]')
| tagfind = re.compile('[a-zA-Z][-_.a-zA-Z0-9]*')
| attrfind

## Detailed Description

    A parser for SGML, using the derived class as a static DTD.

## Variable Documentation

## attrfind

Milter.sgmllib.attrfind

Initial value:
= re.compile(
r'\s*([a-zA-Z_][-:.a-zA-Z_0-9]*)(\s*=\s*'
r'(\'[^\']*\'|"[^"]*"|[][\-a-zA-Z0-9./,:;+*%?!&$\‍(\‍)_#=~\'"@]*))?')

## incomplete

Milter.sgmllib.incomplete

Initial value:
= re.compile('&([a-zA-Z][a-zA-Z0-9]*|#[0-9]*)?|'
'<([a-zA-Z][^<>]*|'
'/([a-zA-Z][^<>]*)?|'
'![^<>]*)?')